package com.zjrs.ggfw.rlzysc.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.JyzxQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.SyZwxxQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.ZphglQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.ZwxxListDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.SyMapQyQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyLbggPO;

import java.util.List;
import java.util.Map;

public interface SyBLO {
    List<RsRlzyLbggPO> getLbggList();

    List getZyxxList();

    List getZyxxList(String id);

    List<ZwxxListDTO> getZwtjList(SyZwxxQueryDTO dto);

    List getQytjList();

    PageResult getFwggList(JyzxQueryDTO jyzxlx, int page, int rows);

    PageResult getXyzpxxList(int page,int rows);

    PageResult getZxscZphxx(ZphglQueryDTO dto);

    List<Map<String, Object>> getZphCalendarList();

    List<Map<String,Object>> getMapQy(ZjDTO dto);

    List<Map<String, Object>> getMapZw(SyMapQyQueryDTO dto);
}

